## Blight API
[<< Home](README.md)  

For the currently available public FarmMaps API you can take a look at swagger: https://test.farmmaps.eu/swagger


## API flow
* Authenticate User
* Optional steps
    * *Create cropfield through FarmMaps API*
        * Item 'vnd.farmmaps.itemtype.cropfield' must be created with its data as specified in the api.
        * Task 'vnd.farmmaps.task.workflow' can be executed if needed executed to aggregate all needed data.
            * This is an asynchronous process and can take a while before all data is collected in FarmMaps.

* Task 'vnd.farmmaps.task.blight' must be executed to create an advice. This task is automatically created for crop fields with potato and is scheduled to run at configered times to keep the advice updated.
It is also possible to executed this task at any time through the API. This will be explained in the following chapters.

**Users can poll the task api to see if a task is completed**  
**This can be achieved with the task execution id obtained from calling the 'ItemTask' API.**  
[Poll task status](Polling-task-status.md)  


**Users can query the API for child items of a cropfield to see what items it has.**
